Just nu i M3-nätverket
Jump to content

Version av IE och netscape


Felldin

Recommended Posts

Någon som vet hur man kan skriva en if-sats för att kontrollera att en användare minst har version 6 av internet explorer, eller minst version 7 av netscape?

Link to comment
Share on other sites

Magnus Ahlkvist

Kolla på

Request.ServerVariables("HTTP_USER_AGENT")

 

Där kan du hitta information om browser. Sök på "browscap.ini" på nätet så hittar du information om att bygga och underhålla en fil som heter browscap.ini som du kan använda för att lättare tolka informationen som finns i HTTP_USER_AGENT-variabeln

 

--

En röst talade till mig och sade:

”Le och var glad, ty det kunde vara värre”.

Så jag log, och jag var glad.

Och det blev värre.

 

Link to comment
Share on other sites

Betydligt lättare för detta ändamål är att med reguljära uttryck kolla versionsnumret i HTTP_USER_AGENT. Jag har dock tyvärr ingen exempel på det i ASP... :(

 

 

 

Almir - ...

____________________________________________________________

-Läser Programmet för Informatik med Systemvetenskap på MDH, Västerås.-

 

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.



×
×
  • Create New...